Subject: Re: Fwd: Ongoing projects - status update as of 2024/05/02 / requests for clarification
From: Michal Siemaszko <[email-masked]>
To: Jürgen Albert <[email-masked]>
Date: Mon, 6 May 2024 12:52:44 +0200

As mentioned, alll this information I already provide.

I update Toggle with descriptions at the end of the month / first day of 
new month.

I do not send invoice the first chance I get - I sent invoice after I 
deliver work you assigned to me. You should familiarize yourself with 
information provided in weekly summaries, and check timestamps / 
chronology, so you'll realize what the order of things is.

So far, you mentioned to have it updated by end of the month, beginning 
of new month and that's what I've been doing. Around end of February, 
literally 3 working days after we spoke you changed these suddenly 
asking me to update those immediately - I'd have done so as per earlier 
arrangements - then insulted me again. You have not apparently reflected 
on these very unprofessional behaviors and you continue offending me and 
talking to me in a very funny tone.

I send invoice after work is delivered, providing you with detailed 
summaries each week.

-- 
   Michael H. Siemaszko
   Mobile: +48 668 566 023
   Telegram: mhsiemaszko
   Email:[email-masked],
          [email-masked]
   WWW:http://ideas.into.software/
   GitHub:https://github.com/ideas-into-software/
   LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
   Twitter:https://twitter.com/IntoSoftware/

On 5/3/24 16:03, Jürgen Albert wrote:
>
> Hello Michal,
>
> this is kind of a sore point on my end, especially after our last 
> discussion. You send your invoice the first chance you get, but 
> missing descriptions in Toggle prevent me from doing the same for our 
> customers. I realize, that I should have made intentions known 
> beforehand, that I want to write the Invoice. I had not thought about, 
> because thought this to be clear.
>
> You are right, though. I could have phrased it more politely and 
> should have given you a heads-up.
>
> To avoid any misunderstandings for the future: Please make sure, that 
> your toggle is in order and with fitting descriptions for billable 
> projects by the start of the first Business day of a week for the 
> previous week. The sames apply for the first Business day of a Month.
>
> I wish you a nice weekend,
>
> Jürgen.
>
> Am 03/05/2024 um 14:59 schrieb Michal Siemaszko:
>>
>> Hello Juergen,
>>
>> This is in response to your Slack message ( 
>> https://dim-c.slack.com/x-p471733055570-1956189340131-7058792039556/archives/D01TP6194TZ/p1714636967929259 
>> ), quoting:
>>
>>     > /Hi Michal, I will pay the invoice after you added descriptions
>>     to your toggle entries for the city, so I can write our bill for
>>     that Project./
>>
>>
>> My time spent on projects you assign to me is always logged in Toggle.
>>
>> I also provide weekly updates with summaries of progress on work you 
>> assigned to me ( like summary below, sent on 2024/05/02), in addition 
>> to commits / PRs about which you receive separate notifications.
>>
>> All this information you already receive, and time I spent on these 
>> projects is already logged as well.
>>
>> Even though you cannot condition paying invoice for work I already 
>> provided on projects you assigned to me, having all this information 
>> already, *I updated Toggle with descriptions, as per your request*.
>>
>> Same request could be phrased in a manner that is a simple request, 
>> not a condition - because I'd have brought Toggle up to date anyway.
>>
>> Regards,
>>
>> -- 
>>            Michael H. Siemaszko
>>            Telegram: mhsiemaszko
>>            Email:[email-masked],
>>                   [email-masked]
>>            WWW:http://ideas.into.software/
>>            GitHub:https://github.com/ideas-into-software/
>>            LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
>>            Twitter:https://twitter.com/IntoSoftware/
>>
>> On 5/2/24 03:49, Michal Siemaszko wrote:
>>
>> -------- Forwarded Message --------
>> Subject: 	Ongoing projects - status update as of 2024/05/02 / 
>> requests for clarification
>> Date: 	Thu, 2 May 2024 03:49:44 +0200
>> From: 	Michal Siemaszko <[email-masked]>
>> To: 	Jürgen Albert <[email-masked]>, Mark Hoffmann 
>> <[email-masked]>
>>
>>
>>
>> Status as of 2024/05/02 is the following:
>>
>> *1*. 'org.gecko.emf.utils' - replaced PR 
>> https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/54 with 
>> PR https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/55; 
>> see comment 
>> https://github.com/geckoprojects-org/org.gecko.emf.utils/pull/55#issue-2266522313 
>> for details;
>>
>> *2*. 'org.gecko.emf.persistence' - replaced PR 
>> https://github.com/geckoprojects-org/org.gecko.emf.persistence/pull/26 
>> with PR 
>> https://github.com/geckoprojects-org/org.gecko.emf.persistence/pull/27; 
>> see comments 
>> https://github.com/geckoprojects-org/org.gecko.emf.persistence/pull/27#issue-2267241936 
>> and 
>> https://github.com/geckoprojects-org/org.gecko.emf.persistence/pull/27#issuecomment-2081244749 
>> for details;
>>
>> *3*. 'ogc-features' - updated PR 
>> https://github.com/de-jena/ogc-features/pull/1; see comment 
>> https://github.com/de-jena/ogc-features/pull/1#issuecomment-2081253500 
>> for details;
>>
>> *4*. 'PlayerTour Backend' - worked on this in the meantime, after 
>> having completed the DTO to EMF coverters' stuff ( see item #1 above 
>> ), and having brought "OGC API Features Part 1: Core" up to date ( 
>> see items #2 and #3 above ):
>>
>> *a*) PRs
>>
>>    * https://github.com/AmateurPlayerTour/backend/pull/43
>>
>>    * https://github.com/AmateurPlayerTour/backend/pull/44
>>
>> *b*) Issues
>>
>>    * https://github.com/AmateurPlayerTour/backend/issues/45
>>
>>    * https://github.com/AmateurPlayerTour/backend/issues/46
>>
>>    * https://github.com/AmateurPlayerTour/backend/issues/47
>>
>>    * https://github.com/AmateurPlayerTour/backend/issues/48
>>
>>    * (related) https://github.com/AmateurPlayerTour/backend/issues/6
>>
>>
>> Regards,
>>
>> -- 
>>            Michael H. Siemaszko
>>            Telegram: mhsiemaszko
>>            Email:[email-masked],
>>                   [email-masked]
>>            WWW:http://ideas.into.software/
>>            GitHub:https://github.com/ideas-into-software/
>>            LinkedIn:http://www.linkedin.com/in/mhsiemaszko/
>>            Twitter:https://twitter.com/IntoSoftware/
>>
>>
>>
>>
> -- 
> Jürgen Albert
> CEO
> Chair Eclipse OSGi Working Group Steering Committee
>
>
> Data In Motion Consulting GmbH
>
> Kahlaische Str. 4
> 07745 Jena
>
> Mobil:  +49 157-72521634
> E-Mail:[email-masked]
> Web:www.datainmotion.de
>
> XING:https://www.xing.com/profile/Juergen_Albert5
> LinkedIn:https://www.linkedin.com/in/juergen-albert-6a1796/
>
> Rechtliches
>
> Jena HBR 513025